
From: Martin Hicks <mort@wildopensource.com>

Fix compilation for NR_CPUS > BITS_PER_LONG*4


---

 25-akpm/kernel/kmod.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN kernel/kmod.c~call_usermodehelper-affinity-fix-fix kernel/kmod.c
--- 25/kernel/kmod.c~call_usermodehelper-affinity-fix-fix	Mon Feb 16 12:48:08 2004
+++ 25-akpm/kernel/kmod.c	Mon Feb 16 12:48:08 2004
@@ -149,6 +149,7 @@ static int ____call_usermodehelper(void 
 {
 	struct subprocess_info *sub_info = data;
 	int retval;
+	cpumask_t mask = CPU_MASK_ALL;
 
 	/* Unblock all signals. */
 	flush_signals(current);
@@ -159,7 +160,8 @@ static int ____call_usermodehelper(void 
 	spin_unlock_irq(&current->sighand->siglock);
 
 	/* We can run anywhere, unlike our parent keventd(). */
-	set_cpus_allowed(current, CPU_MASK_ALL);
+	set_cpus_allowed(current, mask);
+
 	retval = -EPERM;
 	if (current->fs->root)
 		retval = execve(sub_info->path, sub_info->argv,sub_info->envp);

_
